Subject: Re: bug#6210: Dev Emacs crashes when moving around a large UTF-8 bidi file

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 May 2010 18:35:10 +0300

> From: Scot Becker <[email-masked]>
> Date: Tue, 18 May 2010 15:02:29 +0100
> Cc: 
> 
>   using an emacs bzr pull from today:
> -------------
> $ emacs -Q /path/to/file/bhs.txt
> -------------
> at this point I already get this error in the Gnome Terminal window
>  from which I called Emacs (this comes even if I only run 'emacs -Q')ema:
> 
> ** (emacs:22720): CRITICAL **: murrine_style_draw_box: assertion
> `height >= -1' failed
> 
> [now I move around file using PgUp/PgDn, M-S->/< and point moving
> commands Sample dribble log attached to this message]
> 
>  Emacs crashes with either:
> Fatal error (11)Segmentation fault
>   or:
> Fatal error (6)Aborted
> 
> The actual moment of the crash comes with various commands.  Once it was
> C-x 3, once it was M-<, once it was a PgUp.  It was always after dozens
> of movement commands.  Never right away.  (Hence the length of the
> attached dribble log)

The shameful bug that caused these crashes is fixed in revno 100365.